Subject: [PATCH] Add RGB555X and RGB565X formats to pxa-camera

From: [email-masked] (Mike Rapoport)
Date: Sun, 06 Sep 2009 09:03:32 +0300

Hi Guennadi,

Guennadi Liakhovetski wrote:
> On Mon, 3 Aug 2009, Mike Rapoport wrote:
> 
>>> 2. Mike, while reviewing this patch I came across code in 
>>> pxa_camera_setup_cicr(), introduced by your earlier patch:
>>>
>>> 	case V4L2_PIX_FMT_RGB555:
>>> 		cicr1 |= CICR1_RGB_BPP_VAL(1) | CICR1_RGBT_CONV_VAL(2) |
>>> 			CICR1_TBIT | CICR1_COLOR_SP_VAL(1);
>>> 		break;
>>>
>>> Why are you enabling the RGB to RGBT conversion here unconditionally? 
>>> Generally, what are the advantages of configuring CICR1 for a specific RGB 
>>> format compared to using just a raw capture? Do I understand it right, 
>>> that ATM we are not using any of those features?
>> As far as I remember I've tried to overlay the captured imagery using pxa
>> overlay1. Most probably it's left here after those tries.
> 
> Mike, could you, please, verify that those bits are indeed unneeded and 
> provide patch to remove them?

Unfortunately, I don't have the sensor handy at the time :( The one I've used
then is now broken (physically) and there's no replacement for it :(

> Thanks
> Guennadi
> ---
> Guennadi Liakhovetski, Ph.D.
> Freelance Open-Source Software Developer
> http://www.open-technology.de/
> --
> To unsubscribe from this list: send the line "unsubscribe linux-media" in
> the body of a message to majordomo at vger.kernel.org
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> 

-- 
Sincerely yours,
Mike.